petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetHostName

Returns the name of the host. This attempts to return the entire Internet name. It may not return the same name as MPI_Get_processor_name().

### Synopsis

    PetscErrorCode  PetscGetHostName(char name[],size_t nlen)

Not Collective Many br

### Input Parameter

nlen -length of name Many br

### Output Parameter

name -contains host name. Must be long enough to hold the name Many brThis is the fully qualified name, including the domain. Many br

Many br

### Fortran Version

In Fortran this routine has the format Many br

          character*(64) name

          call PetscGetHostName(name,ierr)

### See Also

PetscGetUserName(),PetscGetArchType()

Level:developer
Location:src/sys/utils/fhost.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages